aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--debian/control1
-rw-r--r--debian/tests/control3
-rw-r--r--debian/tests/test-server-client25
3 files changed, 29 insertions, 0 deletions
diff --git a/debian/control b/debian/control
index 85c50c6..0e4985d 100644
--- a/debian/control
+++ b/debian/control
@@ -7,6 +7,7 @@ Uploaders: Petter Reinholdtsen <pere@debian.org>
, Alexander Alemayhu <alexander@bitraf.no>
Build-Depends: debhelper (>= 9), cdbs
Standards-Version: 3.9.5
+XS-Testsuite: autopkgtest
Homepage: http://wiki.debian.org/DebianEdu/HowTo/SiteSummary
Vcs-Git: git://anonscm.debian.org/debian-edu/upstream/sitesummary.git
Vcs-Browser: http://anonscm.debian.org/cgit/debian-edu/upstream/sitesummary.git
diff --git a/debian/tests/control b/debian/tests/control
new file mode 100644
index 0000000..7f7309b
--- /dev/null
+++ b/debian/tests/control
@@ -0,0 +1,3 @@
+Tests: test-server-client
+Depends: @
+Restrictions: needs-root isolation-container needs-recommends
diff --git a/debian/tests/test-server-client b/debian/tests/test-server-client
new file mode 100644
index 0000000..4f44cf5
--- /dev/null
+++ b/debian/tests/test-server-client
@@ -0,0 +1,25 @@
+#!/bin/sh
+#
+# More on tests available from
+# http://anonscm.debian.org/cgit/autopkgtest/autopkgtest.git/tree/doc/README.package-tests.rst
+set -e
+
+at_exit() {
+ echo "info: terminating script"
+}
+
+trap at_exit INT TERM EXIT
+
+chroot_test() {
+}
+
+# Use predictable language setting.
+LC_ALL=C
+export LC_ALL
+
+# Installing the binaries should set up apache on localhost and the cgi script
+# for the sitesummary collector.
+
+sitesummary-client
+
+find /var/lib/sitesummary